<?php
include("cp_header.php");
//تجنب اضافة سجل فى حالة اعادة تحميل الصفحة
$RequestSignature = md5($_SERVER['REQUEST_URI'].$_SERVER['QUERY_STRING'].print_r($_POST, true));
$extensionx='' ;
$filex='';
?>

<div id="cp_cont">
<div id="show_user_details"></div>
	

<?php
///تجنب اضافة سجل فى حالة اعادة تحميل الصفحة

if (isset($_SESSION['LastRequest']) && $_SESSION['LastRequest'] == $RequestSignature)
{
unset($_SESSION['LastRequest']);
echo"<script type='text/javascript'>
window.location.href = '".$_SERVER['PHP_SELF']."';
</script> ";
exit();
}
else
{
  $_SESSION['LastRequest'] = $RequestSignature;
}
//فى حالة السبمت
if (isset($_POST['submit']) && $_POST['token_sec']==$_SESSION['token']  ) {


$sort_num= "header";
//مسار رفع الصورة
$src='restore/';	

$file_num="restore";

//استدعاء ملف رفع الملفات
include("upload_file.php");


//restore

    // Get the provided arg
    
 
    // Check if the file has needed args
    
 
    // Include settings
    
 
    // Generate filename and set error variables
    $filename = 'restore/restore.sql' ;
    $sqlErrorText = '';
    $sqlErrorCode = 0;
    $sqlStmt      = '';
 
    // Restore the backup
   
 
        // Load and explode the sql file
        
        $f = fopen($filename,"r+");
        $sqlFile = fread($f,filesize($filename));
        $sqlArray = explode(';<|||||||>',$sqlFile);
 
        // Process the sql file by statements
        foreach ($sqlArray as $stmt) {
            if (strlen($stmt)>3){
                $result = mysqli_query($conn,$stmt);
            }
        }
    
 
    // Print message (error or success)
    if ($sqlErrorCode == 0){
        print("تم استعادة قاعدة البيانات بنجاح!<br>\n");
       
    } else {
        print("An error occurred while restoring backup!<br><br>\n");
        print("Error code: $sqlErrorCode<br>\n");
        print("Error text: $sqlErrorText<br>\n");
        print("Statement:<br/> $sqlStmt<br>");
    }
 
    // Close the connection
    mysqli_close();
unset($_POST['submit']);
}

error:


?>	
	
	
	
	
<div id="cp_title"> استعادة قاعدة البيانات </div>
<div id="cp_body">
<form id="app_form" enctype="multipart/form-data"  method="post" action="<?php echo $_SERVER['PHP_SELF']; ?>">
<div class="cp_word_body">

	


<div class="cp_login_row">
<div class="cp_title"><span style="color:red">*</span> الملف  </div>
<div class="cp_fielda">
<input alt="4"  class="required" name="attach" type="file" accept="image/jpeg" />
<div class="field_val no_margin"></div>
</div>
</div>


<div class="cp_login_row">

<div class="cp_submit"><input  class="wymupdate" id="submit"  name="submit" value="استعادة"  title="دخول" type="submit"></div>

</div>
</div>
<input type="hidden" name="token_sec"  value='<?php echo $_SESSION['token']; ?>'> </form>
</div>
	
	

</div>


<?php 
//تحميل الفوتر
include("cp_footer.php");?>